Get API Usage
curl --request GET \
--url 'https://api.etherscan.io/v2/api?apikey='import requests
url = "https://api.etherscan.io/v2/api?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.etherscan.io/v2/api?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "1",
"message": "OK",
"result": {
"creditsUsed": 22,
"creditsAvailable": 1499978,
"creditLimit": 1500000,
"limitInterval": "daily",
"intervalExpiryTimespan": "08:42:34"
}
}
Usage
Get API Usage
Returns your current API credit usage and limit for the interval.
GET
/
v2
/
api
Get API Usage
{
"status": "1",
"message": "OK",
"result": {
"creditsUsed": 22,
"creditsAvailable": 1499978,
"creditLimit": 1500000,
"limitInterval": "daily",
"intervalExpiryTimespan": "08:42:34"
}
}
Authorizations
Enter your Etherscan API key, or set one up if you don't have one.
Query Parameters
Set this to getapilimit for this endpoint.
Set this to getapilimit for this endpoint.
Response
200 - application/json
Successful response
1 if the request returned data, 0 otherwise. A status of 0 can indicate an error or a valid request that returned no records.
OK on success, otherwise an error description such as NOTOK. See common error messages.
Show child attributes
Show child attributes